org.apache.commons.math3.geometry

## Interface Space

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  Euclidean1D, Euclidean2D, Euclidean3D

    public interface Space
    extends Serializable

This interface represents a generic space, with affine and vectorial counterparts.

Since:
  3.0
Version:
  $Id: Space.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `Vector`

### Method Summary

Methods
`int` `getDimension()` Get the dimension of the space.
`Space` `getSubSpace()` Get the n-1 dimension subspace of this space.

### Method Detail

#### getDimension

    int getDimension()

Get the dimension of the space.

Returns:
  dimension of the space

#### getSubSpace

    Space getSubSpace()
                      throws MathUnsupportedOperationException

Get the n-1 dimension subspace of this space.

Returns:
  n-1 dimension sub-space of this space
Throws:
  `MathUnsupportedOperationException` - for dimension-1 spaces which do not have sub-spaces
See Also:
  `getDimension()`